.footer {

    &__main {
        padding-top: rem(32);
        margin-bottom: rem(32);
        border-top: 4px solid var(--gold);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__navs {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__logo {
        display: block;
        flex-shrink: 0;
        width: rem(194);
    }

    &__nav {
        margin: 0 rem(44) 0 0;
        padding: 0;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: none;

        &__item {

            &:not(:last-child) {
                margin-right: rem(40);
            }
        }

        &__link {
            color: var(--black);
            white-space: nowrap;
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: var(--gold-hover);
                text-decoration: none;
                transition: .25s;
            }

            &.active {
                color: var(--gold);
            }
        }
    }

    &__info {
        padding-bottom: rem(24);
    }

    &__contacts {
        padding: 0 rem(4);
        margin-bottom: rem(32);
    }

    @include media-breakpoint-up(sm) {

        &__main {
            padding-top: rem(46);
            margin-bottom: rem(80);
        }

        &__info {
            padding-bottom: rem(56);
        }

        &__contacts {
            display: flex;
            flex-wrap: wrap;
            margin-bottom: rem(64);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding-top: rem(64);
            margin-bottom: rem(56);
        }

        &__nav {
            display: flex;
            align-items: center;
        }

        &__contacts {
            margin-bottom: rem(48);
            flex-wrap: nowrap;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(lg) {

        &__nav {
            display: flex;
            align-items: center;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            margin-bottom: rem(80);
        }

        &__contacts {
            margin-bottom: rem(80);
        }
    }
}

.footer-contact {
    font-size: rem(16);
    line-height: rem(24);
    text-align: center;
    margin-bottom: rem(16);
    padding-bottom: rem(16);
    border-bottom: 1px solid var(--gray-5);

    &__title {
        font-weight: 500;
    }

    &__item {
        margin-top: rem(16);
    }

    &__link {
        color: var(--black);
        text-decoration: none;

        &:hover {
            color: var(--black);
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(sm) {
        text-align: left;
        border-bottom: none;
        padding-bottom: 0;
        margin-bottom: rem(32);

        &:first-child {
            margin-right: rem(58);
            padding-right: rem(58);
            border-right: 1px solid var(--gray-5);
        }
    }

    @include media-breakpoint-up(md) {
        margin-right: rem(40);
        padding-right: rem(40);
        margin-bottom: 0;
        border-right: 1px solid var(--gray-5);

        &:first-child {
            margin-right: rem(40);
            padding-right: rem(40);
        }
    }

    @include media-breakpoint-up(lg) {
        padding-right: rem(80);

        &:first-child {
            margin-right: rem(80);
            padding-right: rem(80);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-right: rem(176);

        &:first-child {
            margin-right: rem(176);
            padding-right: rem(176);
        }
    }
}

.footer-social {
    text-align: center;

    &__group {
        margin-top: rem(16);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__item {
        width: rem(48);
        height: rem(48);
        display: block;
        text-decoration: none;
        fill: var(--gold);
        transition: .25s;

        &:hover {
            text-decoration: none;
            fill: var(--gold-hover);
            transition: .25s;
        }

        &:not(:last-child) {
            margin-right: rem(16);
        }
    }

    @include media-breakpoint-up(sm) {
        width: 100%;
        text-align: left;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__group {
            margin-top: 0;
            justify-content: flex-start;
        }
    }

    @include media-breakpoint-up(md) {
        width: auto;
        display: block;
        text-align: right;

        &__group {
            margin-top: rem(32);
            justify-content: flex-end;
        }
    }

    @include media-breakpoint-up(lg) {
        flex-grow: 1;
    }
}

.footer-info {

    &__label {
        white-space: nowrap;
        text-align: center;
        font-size: rem(16);
        line-height: rem(24);
        font-family: var(--font-secondary);
    }

    &__data {
        font-size: rem(16);
        line-height: rem(32);
        padding: rem(12) rem(24);
        color: var(--white);
        text-align: center;
        border-radius: 28px;
        margin-top: rem(32);
        margin-bottom: rem(32);
        background: var(--gray);
    }

    &__payments {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    @include media-breakpoint-up(sm) {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        &__label {
            order: 1;
        }

        &__payments {
            order: 2;
        }

        &__data {
            order: 3;
            width: 100%;
            padding: rem(12) rem(74);
            margin-bottom: 0;
            margin-top: rem(24);
            display: grid;
            grid-template-columns: 1fr 1fr;
        }

        &__pay {
            margin-left: rem(24);
        }
    }

    @include media-breakpoint-up(md) {

        &__data {
            margin-top: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {

        &__data {
            font-size: rem(16);
            line-height: rem(24);
            display: flex;
            justify-content: center;
        }

        &__value {

            &:not(:last-child) {
                margin-right: rem(20);
            }
        }

        &__pay {
            margin-left: rem(70);
        }
    }

    @include media-breakpoint-up(xl) {
        flex-wrap: nowrap;

        &__data {
            margin: 0;
            width: auto;
            padding: rem(12) rem(24);
            order: 2;
        }

        &__payments {
            order: 3;
        }

        &__pay {
            margin-left: rem(32);
        }

        &__value {

            &--second {
                display: none;
            }
        }
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
